Modify

Opened 5 years ago

Closed 5 years ago

#10836 closed defect (fixed)

ClassCastException when decoding shop=art SVG icon

Reported by: Atalanttore Owned by: team
Priority: normal Milestone: 14.12
Component: Core Version: latest
Keywords: template_report shop art svg icon Cc: Klumbumbus, bastiK

Description

What steps will reproduce the problem?

  1. Update JOSM to latest version
  2. Run JOSM

What is the expected result?

No error message on startup.

What happens instead?

An error message right after the first startup of the updated JOSM.

Please provide any additional information below. Attach a screenshot if possible.

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2014-12-11 02:33:43
Last Changed Author: Don-vip
Revision: 7787
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Relative URL: ^/trunk
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2014-12-11 00:15:17 +0100 (Thu, 11 Dec 2014)
Last Changed Rev: 7787

Identification: JOSM/1.5 (7787 de) Linux Ubuntu 14.10
Memory Usage: 239 MB / 860 MB (153 MB allocated, but free)
Java version: 1.7.0_45, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM

Plugins:
- FastDraw (30762)
- HouseNumberTaggingTool (30762)
- OpeningHoursEditor (30737)
- RoadSigns (30788)
- buildings_tools (30762)
- editgpx (30737)
- imagery_offset_db (30808)
- log4j (30762)
- public_transport (30762)
- routes (30762)
- routing (30737)
- tageditor (30738)
- terracer (30737)
- turnlanes (30737)
- turnrestrictions (30762)
- undelete (30762)
- utilsplugin2 (30762)
- waydownloader (30762)

Last errors/warnings:
- E: Fehler beim Laden des Bildes 'styles/standard/shop/art.svg'
- W: Could not get presets icon styles/standard/shop/art.svg
- E: java.lang.ClassCastException: com.kitfox.svg.Path cannot be cast to com.kitfox.svg.FillElement

java.lang.ClassCastException: com.kitfox.svg.Path cannot be cast to com.kitfox.svg.FillElement
	at com.kitfox.svg.ShapeElement.renderShape(ShapeElement.java:163)
	at com.kitfox.svg.Path.render(Path.java:92)
	at com.kitfox.svg.Group.render(Group.java:202)
	at com.kitfox.svg.Group.render(Group.java:202)
	at com.kitfox.svg.Group.render(Group.java:202)
	at com.kitfox.svg.SVGRoot.renderToViewport(SVGRoot.java:285)
	at com.kitfox.svg.SVGDiagram.render(SVGDiagram.java:105)
	at org.openstreetmap.josm.tools.ImageProvider.createImageFromSvg(ImageProvider.java:1181)
	at org.openstreetmap.josm.tools.ImageResource.getImageIcon(ImageResource.java:89)
	at org.openstreetmap.josm.tools.ImageResource.getImageIconBounded(ImageResource.java:158)
	at org.openstreetmap.josm.tools.ImageResource.getImageIcon(ImageResource.java:68)
	at org.openstreetmap.josm.gui.tagging.TaggingPreset$1$1.run(TaggingPreset.java:163)
	at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:251)
	at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:733)
	at java.awt.EventQueue.access$200(EventQueue.java:103)
	at java.awt.EventQueue$3.run(EventQueue.java:694)
	at java.awt.EventQueue$3.run(EventQueue.java:692)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:76)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:703)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:242)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:161)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:150)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:146)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:138)
	at java.awt.EventDispatchThread.run(EventDispatchThread.java:91)

Attachments (2)

10836_test.patch (5.1 KB) - added by Don-vip 5 years ago.
artss.png (4.3 KB) - added by Klumbumbus 5 years ago.

Download all attachments as: .zip

Change History (31)

comment:1 Changed 5 years ago by Don-vip

Cc: Klumbumbus added

Can you please check https://trac.openstreetmap.org/browser/subversion/applications/share/map-icons/classic.small/shop/art.svg correctness?

It appears all white, I don't think this is the expected result? Still I do not face the error...

comment:2 Changed 5 years ago by Don-vip

Milestone: 14.12

comment:3 Changed 5 years ago by Don-vip

Keywords: shop art svg icon added
Summary: Error message on first startup after update to latest versionClassCastException when decoding shop=art SVG icon

comment:4 in reply to:  1 Changed 5 years ago by Atalanttore

comment:5 Changed 5 years ago by Don-vip

I was talking to Klumbumbus, sorry for not being clear.

comment:6 Changed 5 years ago by Don-vip

Cc: bastiK added

@bastiK: Could it be a bug of svgcleaner-cli?

Changed 5 years ago by Don-vip

Attachment: 10836_test.patch added

comment:7 Changed 5 years ago by Don-vip

I tried to reproduce with Java 7, Java 8, Windows, Ubuntu, from source, from official jars, no way. I really don't understand what happened here.

I wrote a unit test attached but it's rather useless as it doesn't reproduce the bug neither :(

comment:8 in reply to:  1 Changed 5 years ago by Klumbumbus

Replying to Don-vip:

Can you please check https://trac.openstreetmap.org/browser/subversion/applications/share/map-icons/classic.small/shop/art.svg correctness?

It appears all white, I don't think this is the expected result? Still I do not face the error...

For me it works fine

I can try to reupload the image. I think I took this image directly without modification from openclipart.org.

When I see errors with .svg in JOSM I normally just copy the data into a new fresh inskape document, save and then it is displayed correctly in JOSM. I will try this.

Changed 5 years ago by Klumbumbus

Attachment: artss.png added

comment:9 Changed 5 years ago by Don-vip

OK I though it was expected to have something in the frame, not just a white painting :) This is modern art, right? :D

comment:10 in reply to:  9 Changed 5 years ago by Klumbumbus

I reuploaded it. [o30846] Let's see if the error disappears.

Replying to Don-vip:

OK I though it was expected to have something in the frame, not just a white painting :) This is modern art, right? :D

Yes, modern art :D

I can try to paint something in the white area once this ticket is closed ;)

comment:11 Changed 5 years ago by bastiK

Maybe a new user starts out with a blank canvas and it fills the more you edit. :)

comment:12 Changed 5 years ago by Klumbumbus

Atalanttore can you check if you still get the error with josm-latest?

comment:13 Changed 5 years ago by Atalanttore

Now I get 2 instead of 1 error message with latest josm-latest.

First error message

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2014-12-13 02:35:13
Last Changed Author: Don-vip
Revision: 7801
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Relative URL: ^/trunk
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2014-12-13 01:07:04 +0100 (Sat, 13 Dec 2014)
Last Changed Rev: 7801

Identification: JOSM/1.5 (7801 de) Linux Ubuntu 14.10
Memory Usage: 208 MB / 860 MB (61 MB allocated, but free)
Java version: 1.7.0_45, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM

Plugins:
- FastDraw (30762)
- HouseNumberTaggingTool (30762)
- OpeningHoursEditor (30737)
- RoadSigns (30788)
- buildings_tools (30762)
- editgpx (30737)
- imagery_offset_db (30808)
- log4j (30762)
- public_transport (30762)
- routes (30762)
- routing (30737)
- tageditor (30738)
- terracer (30737)
- turnlanes (30737)
- turnrestrictions (30762)
- undelete (30762)
- utilsplugin2 (30762)
- waydownloader (30762)

Last errors/warnings:
- E: Fehler beim Laden des Bildes 'styles/standard/shop/art.svg'
- W: Could not get presets icon styles/standard/shop/art.svg
- E: Fehler beim Laden des Bildes 'presets/scrub.svg'
- W: Could not get presets icon presets/scrub.svg
- E: java.lang.IllegalArgumentException: User must specify at least 2 colors

java.lang.IllegalArgumentException: User must specify at least 2 colors
	at com.kitfox.svg.batik.MultipleGradientPaint.<init>(MultipleGradientPaint.java:126)
	at com.kitfox.svg.batik.LinearGradientPaint.<init>(LinearGradientPaint.java:259)
	at com.kitfox.svg.LinearGradient.getPaint(LinearGradient.java:148)
	at com.kitfox.svg.ShapeElement.renderShape(ShapeElement.java:163)
	at com.kitfox.svg.Path.render(Path.java:92)
	at com.kitfox.svg.Group.render(Group.java:202)
	at com.kitfox.svg.Group.render(Group.java:202)
	at com.kitfox.svg.SVGRoot.renderToViewport(SVGRoot.java:285)
	at com.kitfox.svg.SVGDiagram.render(SVGDiagram.java:105)
	at org.openstreetmap.josm.tools.ImageProvider.createImageFromSvg(ImageProvider.java:1181)
	at org.openstreetmap.josm.tools.ImageResource.getImageIcon(ImageResource.java:89)
	at org.openstreetmap.josm.tools.ImageResource.getImageIconBounded(ImageResource.java:158)
	at org.openstreetmap.josm.tools.ImageResource.getImageIcon(ImageResource.java:68)
	at org.openstreetmap.josm.gui.tagging.TaggingPreset$1$1.run(TaggingPreset.java:163)
	at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:251)
	at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:733)
	at java.awt.EventQueue.access$200(EventQueue.java:103)
	at java.awt.EventQueue$3.run(EventQueue.java:694)
	at java.awt.EventQueue$3.run(EventQueue.java:692)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:76)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:703)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:242)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:161)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:150)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:146)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:138)
	at java.awt.EventDispatchThread.run(EventDispatchThread.java:91)


Second error message

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2014-12-13 02:35:13
Last Changed Author: Don-vip
Revision: 7801
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Relative URL: ^/trunk
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2014-12-13 01:07:04 +0100 (Sat, 13 Dec 2014)
Last Changed Rev: 7801

Identification: JOSM/1.5 (7801 de) Linux Ubuntu 14.10
Memory Usage: 208 MB / 860 MB (66 MB allocated, but free)
Java version: 1.7.0_45, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM

Plugins:
- FastDraw (30762)
- HouseNumberTaggingTool (30762)
- OpeningHoursEditor (30737)
- RoadSigns (30788)
- buildings_tools (30762)
- editgpx (30737)
- imagery_offset_db (30808)
- log4j (30762)
- public_transport (30762)
- routes (30762)
- routing (30737)
- tageditor (30738)
- terracer (30737)
- turnlanes (30737)
- turnrestrictions (30762)
- undelete (30762)
- utilsplugin2 (30762)
- waydownloader (30762)

Last errors/warnings:
- E: Fehler beim Laden des Bildes 'styles/standard/shop/art.svg'
- W: Could not get presets icon styles/standard/shop/art.svg
- E: Fehler beim Laden des Bildes 'presets/scrub.svg'
- W: Could not get presets icon presets/scrub.svg
- E: java.lang.IllegalArgumentException: User must specify at least 2 colors

java.lang.IllegalArgumentException: User must specify at least 2 colors
	at com.kitfox.svg.batik.MultipleGradientPaint.<init>(MultipleGradientPaint.java:126)
	at com.kitfox.svg.batik.LinearGradientPaint.<init>(LinearGradientPaint.java:259)
	at com.kitfox.svg.LinearGradient.getPaint(LinearGradient.java:148)
	at com.kitfox.svg.ShapeElement.renderShape(ShapeElement.java:163)
	at com.kitfox.svg.Rect.render(Rect.java:205)
	at com.kitfox.svg.Group.render(Group.java:202)
	at com.kitfox.svg.Group.render(Group.java:202)
	at com.kitfox.svg.SVGRoot.renderToViewport(SVGRoot.java:285)
	at com.kitfox.svg.SVGDiagram.render(SVGDiagram.java:105)
	at org.openstreetmap.josm.tools.ImageProvider.createImageFromSvg(ImageProvider.java:1181)
	at org.openstreetmap.josm.tools.ImageResource.getImageIcon(ImageResource.java:89)
	at org.openstreetmap.josm.tools.ImageResource.getImageIconBounded(ImageResource.java:158)
	at org.openstreetmap.josm.tools.ImageResource.getImageIcon(ImageResource.java:68)
	at org.openstreetmap.josm.gui.tagging.TaggingPreset$1$1.run(TaggingPreset.java:163)
	at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:251)
	at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:733)
	at java.awt.EventQueue.access$200(EventQueue.java:103)
	at java.awt.EventQueue$3.run(EventQueue.java:694)
	at java.awt.EventQueue$3.run(EventQueue.java:692)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:76)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:703)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:242)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:161)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:154)
	at java.awt.WaitDispatchSupport$2.run(WaitDispatchSupport.java:182)
	at java.awt.WaitDispatchSupport$4.run(WaitDispatchSupport.java:221)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.awt.WaitDispatchSupport.enter(WaitDispatchSupport.java:219)
	at java.awt.Dialog.show(Dialog.java:1082)
	at java.awt.Component.show(Component.java:1651)
	at java.awt.Component.setVisible(Component.java:1603)
	at java.awt.Window.setVisible(Window.java:1014)
	at java.awt.Dialog.setVisible(Dialog.java:1005)
	at org.openstreetmap.josm.gui.ExtendedDialog.setVisible(ExtendedDialog.java:492)
	at org.openstreetmap.josm.gui.ExtendedDialog.showDialog(ExtendedDialog.java:288)
	at org.openstreetmap.josm.tools.BugReportExceptionHandler$BugReporterThread$1.run(BugReportExceptionHandler.java:109)
	at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:251)
	at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:733)
	at java.awt.EventQueue.access$200(EventQueue.java:103)
	at java.awt.EventQueue$3.run(EventQueue.java:694)
	at java.awt.EventQueue$3.run(EventQueue.java:692)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:76)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:703)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:242)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:161)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:150)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:146)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:138)
	at java.awt.EventDispatchThread.run(EventDispatchThread.java:91)

comment:14 Changed 5 years ago by bastiK

The image presets/scrub.svg as distributed in josm-snapshot-7801.jar has indeed a gradient:

<radialGradient id="0" gradientUnits="userSpaceOnUse" cy="222.04" cx="14.207" gradientTransform="scale(1.3952.71673)" r="8.252">
<stop/>
<stop offset="1" stop-opacity="0"/>
</radialGradient>

Normally you would add an additional attribute stop-color to the <stop/> elements, to specify the color at that gradient position. This has been optimized out and it relies on the default value (which is black).

The version of SVG Salamander, that is currently distributed, handles this correctly (on my machine), but I can imagine an earlier version of the library might have a bug there and choke on this.

However, I have no idea how Atalanttore would end up with an old version of SVG Salamander in the classpath.

Edit:
Okay, the stacktrace of Atalanttore has a LinearGradient which is in neither of the two images. I think in this case, the image that is causing the error is not even displayed, because the Exception is not caught in ImageProvider, but bubbles up to top level.

Last edited 5 years ago by bastiK (previous) (diff)

comment:15 Changed 5 years ago by bastiK

@Atalanttore: Could you give us a list of additional presets that you have installed? The image that is causing the error is probably loaded by an external preset.

comment:16 Changed 5 years ago by bastiK

In 7803/josm:

see #10836 - catch all errors in SVG library

comment:17 in reply to:  15 Changed 5 years ago by Atalanttore

Replying to bastiK:

@Atalanttore: Could you give us a list of additional presets that you have installed? The image that is causing the error is probably loaded by an external preset.

Okay, only one preset is installed:

resource://data/defaultpresets.xml

comment:18 Changed 5 years ago by bastiK

This is interesting... Could you try with fresh preference folder, i.e.

$ java -Djosm.home=new-pref -jar josm-latest.jar

(still using 7801)

comment:19 Changed 5 years ago by Atalanttore

There is no error message with a fresh preference folder, but the error message appears again on next normal startup.

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2014-12-13 02:35:13
Last Changed Author: Don-vip
Revision: 7801
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Relative URL: ^/trunk
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2014-12-13 01:07:04 +0100 (Sat, 13 Dec 2014)
Last Changed Rev: 7801

Identification: JOSM/1.5 (7801 de) Linux Ubuntu 14.10
Memory Usage: 174 MB / 860 MB (41 MB allocated, but free)
Java version: 1.7.0_45, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM

Plugins:
- FastDraw (30762)
- HouseNumberTaggingTool (30762)
- OpeningHoursEditor (30737)
- RoadSigns (30788)
- buildings_tools (30762)
- editgpx (30737)
- imagery_offset_db (30808)
- log4j (30762)
- public_transport (30762)
- routes (30762)
- routing (30737)
- tageditor (30738)
- terracer (30737)
- turnlanes (30737)
- turnrestrictions (30762)
- undelete (30762)
- utilsplugin2 (30762)
- waydownloader (30762)

Last errors/warnings:
- E: Fehler beim Laden des Bildes 'styles/standard/shop/art.svg'
- W: Could not get presets icon styles/standard/shop/art.svg
- E: java.lang.NullPointerException
- E: Fehler beim Laden des Bildes 'styles/standard/misc/landuse/meadow.svg'
- W: Could not get presets icon styles/standard/misc/landuse/meadow.svg

java.lang.NullPointerException
	at java.awt.geom.AffineTransform.concatenate(AffineTransform.java:2232)
	at com.kitfox.svg.RadialGradient.getPaint(RadialGradient.java:140)
	at com.kitfox.svg.ShapeElement.renderShape(ShapeElement.java:163)
	at com.kitfox.svg.Path.render(Path.java:92)
	at com.kitfox.svg.Group.render(Group.java:202)
	at com.kitfox.svg.Group.render(Group.java:202)
	at com.kitfox.svg.SVGRoot.renderToViewport(SVGRoot.java:285)
	at com.kitfox.svg.SVGDiagram.render(SVGDiagram.java:105)
	at org.openstreetmap.josm.tools.ImageProvider.createImageFromSvg(ImageProvider.java:1181)
	at org.openstreetmap.josm.tools.ImageResource.getImageIcon(ImageResource.java:89)
	at org.openstreetmap.josm.tools.ImageResource.getImageIconBounded(ImageResource.java:156)
	at org.openstreetmap.josm.tools.ImageResource.getImageIcon(ImageResource.java:68)
	at org.openstreetmap.josm.gui.tagging.TaggingPreset$1$1.run(TaggingPreset.java:163)
	at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:251)
	at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:733)
	at java.awt.EventQueue.access$200(EventQueue.java:103)
	at java.awt.EventQueue$3.run(EventQueue.java:694)
	at java.awt.EventQueue$3.run(EventQueue.java:692)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:76)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:703)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:242)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:161)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:150)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:146)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:138)
	at java.awt.EventDispatchThread.run(EventDispatchThread.java:91)

comment:20 Changed 5 years ago by bastiK

In 7804/josm:

see #10836 - synchronize in case of multithreading issue in svgsalamander

comment:21 Changed 5 years ago by bastiK

The error popup should be gone with r7803, but they should still be there on the command line.

Could you test if [7804] fixes it, i.e. no more command line messages about failed image loading?

Last edited 5 years ago by bastiK (previous) (diff)

comment:22 Changed 5 years ago by Atalanttore

Yes, but I need to wait until josm-latest.jar r7804 is available for download.

comment:23 Changed 5 years ago by Atalanttore

The error popup is gone with r7804, but there are still command line error messages:

java -jar josm-latest.jar
INFO: Lade Plugin 'log4j' (Version 30762)
Dez 15, 2014 2:40:31 PM com.kitfox.svg.SVGUniverse loadSVG
Warnung: Could not load SVG jar:file:/home/ata/Arbeitsfläche/josm-latest.jar!/images/styles/standard/shop/music.svg
org.xml.sax.SAXException: FWK005 parse may not be called while parsing.
        at com.sun.org.apache.xerces.internal.parsers.AbstractSAXParser.parse(AbstractSAXParser.java:1253)
        at com.kitfox.svg.SVGUniverse.loadSVG(SVGUniverse.java:608)
        at com.kitfox.svg.SVGUniverse.loadSVG(SVGUniverse.java:464)
        at com.kitfox.svg.SVGUniverse.getElement(SVGUniverse.java:343)
        at com.kitfox.svg.SVGUniverse.getElement(SVGUniverse.java:306)
        at com.kitfox.svg.ShapeElement.renderShape(ShapeElement.java:160)
        at com.kitfox.svg.Path.render(Path.java:92)
        at com.kitfox.svg.Group.render(Group.java:202)
        at com.kitfox.svg.Group.render(Group.java:202)
        at com.kitfox.svg.SVGRoot.renderToViewport(SVGRoot.java:285)
        at com.kitfox.svg.SVGDiagram.render(SVGDiagram.java:105)
        at org.openstreetmap.josm.tools.ImageProvider.createImageFromSvg(ImageProvider.java:1181)
        at org.openstreetmap.josm.tools.ImageResource.getImageIcon(ImageResource.java:89)
        at org.openstreetmap.josm.tools.ImageResource.getImageIconBounded(ImageResource.java:158)
        at org.openstreetmap.josm.tools.ImageResource.getImageIcon(ImageResource.java:68)
        at org.openstreetmap.josm.gui.tagging.TaggingPreset$1$1.run(TaggingPreset.java:163)
        at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:251)
        at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:733)
        at java.awt.EventQueue.access$200(EventQueue.java:103)
        at java.awt.EventQueue$3.run(EventQueue.java:694)
        at java.awt.EventQueue$3.run(EventQueue.java:692)
        at java.security.AccessController.doPrivileged(Native Method)
        at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:76)
        at java.awt.EventQueue.dispatchEvent(EventQueue.java:703)
        at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:242)
        at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:161)
        at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:150)
        at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:146)
        at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:138)
        at java.awt.EventDispatchThread.run(EventDispatchThread.java:91)

Fehler: Unable to load svg: null
Fehler: Unable to load svg: null
INFO: Could not load tool definition getoffset
INFO: Lade Plugin 'utilsplugin2' (Version 30762)
INFO: Lade Plugin 'undelete' (Version 30762)
INFO: Lade Plugin 'turnlanes' (Version 30737)
INFO: Lade Plugin 'tageditor' (Version 30738)
INFO: Lade Plugin 'FastDraw' (Version 30762)
INFO: Lade Plugin 'routing' (Version 30737)
Routing plugin warning: log4j configuration not found
2014-12-15 14:40:32 [com.innovant.josm.plugin.routing.RoutingPlugin] DEBUG - Loading routing plugin...
2014-12-15 14:40:32 [com.innovant.josm.plugin.routing.gui.RoutingPreferenceDialog] DEBUG - Default preferences already exist.
2014-12-15 14:40:32 [com.innovant.josm.plugin.routing.RoutingPlugin] DEBUG - Finished loading plugin
INFO: Lade Plugin 'terracer' (Version 30737)
INFO: Lade Plugin 'turnrestrictions' (Version 30762)
INFO: Lade Plugin 'editgpx' (Version 30737)
INFO: Lade Plugin 'RoadSigns' (Version 30788)
INFO: Lade Plugin 'public_transport' (Version 30762)
INFO: Lade Plugin 'imagery_offset_db' (Version 30808)
INFO: Lade Plugin 'routes' (Version 30762)
INFO: Lade Plugin 'buildings_tools' (Version 30762)
INFO: Lade Plugin 'waydownloader' (Version 30762)
INFO: Lade Plugin 'OpeningHoursEditor' (Version 30737)
INFO: Lade Plugin 'HouseNumberTaggingTool' (Version 30762)

comment:24 Changed 5 years ago by bastiK

In 7805/josm:

see #10836 - svg salamander not thread safe when parsing the svg xml

comment:25 Changed 5 years ago by bastiK

The verbose error message is fixed in [7805]. I'm more worried about

Fehler: Unable to load svg: null
Fehler: Unable to load svg: null

Could you check if the icon styles/standard/shop/art.svg is loaded in JOSM, i.e. look at Presets > Shops > Home decoration > Art.

comment:26 in reply to:  25 Changed 5 years ago by Atalanttore

Replying to bastiK:

Could you check if the icon styles/standard/shop/art.svg is loaded in JOSM, i.e. look at Presets > Shops > Home decoration > Art.

Yes, the icon is loaded in JOSM.

comment:27 Changed 5 years ago by bastiK

Please post again the command line output in r7805, in case there are any errors / warnings.

comment:28 Changed 5 years ago by Atalanttore

There are some warnings with r7805, but no more errors.

INFO: Lade Plugin 'log4j' (Version 30762)
INFO: Could not load tool definition getoffset
INFO: Lade Plugin 'utilsplugin2' (Version 30762)
INFO: Lade Plugin 'undelete' (Version 30762)
INFO: Lade Plugin 'turnlanes' (Version 30737)
INFO: Lade Plugin 'tageditor' (Version 30738)
INFO: Lade Plugin 'FastDraw' (Version 30762)
INFO: Lade Plugin 'routing' (Version 30737)
Routing plugin warning: log4j configuration not found
2014-12-16 18:43:16 [com.innovant.josm.plugin.routing.RoutingPlugin] DEBUG - Loading routing plugin...
2014-12-16 18:43:16 [com.innovant.josm.plugin.routing.gui.RoutingPreferenceDialog] DEBUG - Default preferences already exist.
2014-12-16 18:43:16 [com.innovant.josm.plugin.routing.RoutingPlugin] DEBUG - Finished loading plugin
INFO: Lade Plugin 'terracer' (Version 30737)
INFO: Lade Plugin 'turnrestrictions' (Version 30762)
INFO: Lade Plugin 'editgpx' (Version 30737)
INFO: Lade Plugin 'RoadSigns' (Version 30788)
INFO: Lade Plugin 'public_transport' (Version 30762)
INFO: Lade Plugin 'imagery_offset_db' (Version 30808)
INFO: Lade Plugin 'routes' (Version 30762)
INFO: Lade Plugin 'buildings_tools' (Version 30762)
INFO: Lade Plugin 'waydownloader' (Version 30762)
INFO: Lade Plugin 'OpeningHoursEditor' (Version 30737)
INFO: Lade Plugin 'HouseNumberTaggingTool' (Version 30762)

comment:29 Changed 5 years ago by bastiK

Resolution: fixed
Status: newclosed

Thanks for your fast replies! The warnings in the console log are not related to image loading.

The error that I fixed was a multi-threading problem, which is only triggered under special conditions and / or with a lot of luck. So it could in principle be a coincidence that is gone right now (it should not). Please reopen if you happen to see something like this again.

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.